org.keycloak.models.cache

## Interface CachedUserModel

- All Superinterfaces:
    RoleMapperModel, UserModel
  All Known Subinterfaces:
    CachedUserModel.Streams
  All Known Implementing Classes:
    UserAdapter

      public interface CachedUserModel
      extends UserModel

  Cached users will implement this interface
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CachedUserModel.Streams` The `CachedUserModel.Streams` interface differs from `CachedUserModel` in that it extends the `UserModel.Streams` interface, allowing implementations of `CachedUserModel` to focus on the `Stream`-based methods in the `UserModel` interface.

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserModel

      `UserModel.RequiredAction, UserModel.UserRemovedEvent`

  - ### Field Summary

    - ### Fields inherited from interface org.keycloak.models.UserModel

      `COMPARE_BY_USERNAME, EMAIL, EMAIL_VERIFIED, ENABLED, EXACT, FIRST_NAME, GROUPS, IDP_ALIAS, IDP_USER_ID, INCLUDE_SERVICE_ACCOUNT, LAST_NAME, LOCALE, SEARCH, USERNAME`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConcurrentMap` | `getCachedWith()` Returns a map that contains custom things that are cached along with this model.
    `long` | `getCacheTimestamp()` When was the model was loaded from database.
    `UserModel` | `getDelegateForUpdate()` Invalidates the cache for this user and returns a delegate that represents the actual data provider
    `void` | `invalidate()` Invalidate the cache for this model
    `boolean` | `isMarkedForEviction()`

    - ### Methods inherited from interface org.keycloak.models.UserModel

      `addRequiredAction, addRequiredAction, getAttribute, getAttributes, getAttributeStream, getCreatedTimestamp, getEmail, getFederationLink, getFirstAttribute, getFirstName, getGroups, getGroups, getGroups, getGroupsCount, getGroupsCountByNameContaining, getGroupsStream, getGroupsStream, getId, getLastName, getRequiredActions, getRequiredActionsStream, getServiceAccountClientLink, getUsername, isEmailVerified, isEnabled, isMemberOf, joinGroup, leaveGroup, removeAttribute, removeRequiredAction, removeRequiredAction, setAttribute, setCreatedTimestamp, setEmail, setEmailVerified, setEnabled, setFederationLink, setFirstName, setLastName, setServiceAccountClientLink, setSingleAttribute, setUsername`

    - ### Methods inherited from interface org.keycloak.models.RoleMapperModel

      `deleteRoleMapping, getClientRoleMappings, getClientRoleMappingsStream, getRealmRoleMappings, getRealmRoleMappingsStream, getRoleMappings, getRoleMappingsStream, grantRole, hasRole`

- - ### Method Detail

    - #### getDelegateForUpdate

          UserModel getDelegateForUpdate()

      Invalidates the cache for this user and returns a delegate that represents the actual data provider
      Returns:

    - #### isMarkedForEviction

          boolean isMarkedForEviction()

    - #### invalidate

          void invalidate()

      Invalidate the cache for this model

    - #### getCacheTimestamp

          long getCacheTimestamp()

      When was the model was loaded from database.
      Returns:

    - #### getCachedWith

          ConcurrentMap getCachedWith()

      Returns a map that contains custom things that are cached along with this model. You can write to this map.
      Returns:

Copyright © 2020 JBoss by Red Hat. All rights reserved.